eclipse报错”Target runtime Apache Tomcat v6.0 is not defined.”错误解决方法

eclipse报错"Target runtime Apache Tomcat v6.0 is not defined."错误解决方法
强烈推介IDEA2020.2破解激活,IntelliJ IDEA 注册码,2020.2 IDEA 激活码

一、报错信息


Eclipse导入工程后工程上显示一个小红叉,但工程里没有文件错误,也没有语法错误,
百思不得其解啊,后来在网上找了一些资料说是项目引用的类库路径有问题。
【项目】->【右键】->【build path】->【configure build path】->【libraries】,查看一下引用的类库路径。
网上都说是因为这里引用错误引起的,但是我在项目导入的时候做的第一件事情就是修改这里的library,因此不是这个原因。
查看完整的错误信息:
【Window】-->【Show View】-->【Markers】

二、解决办法

方法一:
在工程目录下的.settings文件夹里,打开org.eclipse.wst.common.project.facet.core.xml文件,其内容是:

<?xmlversion="1.0"encoding="UTF-8"?> 
<faceted-project> 
<runtimename="Apache Tomcat v6.0"/> 
<fixedfacet="jst.web"/> 
<fixedfacet="jst.java"/> 
<installedfacet="jst.java"version="6.0"/> 
<installedfacet="jst.web"version="2.5"/> 
<installedfacet="wst.jsdt.web"version="1.0"/> 
</faceted-project>

替换为:

<?xml version="1.0" encoding="UTF-8"?>
<faceted-project>
  <fixed facet="wst.jsdt.web"/>
  <fixed facet="jst.web"/>
  <fixed facet="java"/>
  <installed facet="java" version="1.7"/>
  <installed facet="jst.web" version="3.0"/>
  <installed facet="wst.jsdt.web" version="1.0"/>
</faceted-project>

刷新当前项目,在点击项目-->【右键】-->【Properties】,修改如下信息:
由于我的jdk环境是1.7的,故都选择1.7就好了




方法二:

直接删除在工程目录下的.settings文件夹里的org.eclipse.wst.common.project.facet.core.xml文件,在重新编译。


本文来源小米加大炮,由javajgs_com转载发布,观点不代表Java架构师必看的立场,转载请标明来源出处:https://javajgs.com/archives/9007

发表评论